Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 672904 (CVE-2018-20002) - <sys-devel/binutils-2.31.1-r5: memory leak in _bfd_generic_read_minisymbols
Summary: <sys-devel/binutils-2.31.1-r5: memory leak in _bfd_generic_read_minisymbols
Status: RESOLVED FIXED
Alias: CVE-2018-20002
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://sourceware.org/bugzilla/show_...
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-10 22:08 UTC by D'juan McDonald (domhnall)
Modified: 2019-08-03 11:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2018-12-10 22:08:46 UTC
A memory leak issue was discovered in bfd, as distributed in GNU Binutils 2.31. 
In _bfd_generic_read_minisymbols function in syms.c, the is a heap allocation. But this heap allocation didn't deallocate in the end.

PR: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=c2f5dc30afa34696f2da0081c4ac50b958ecb0e9


@maintainer(s): Fixed on master, Milestone is 2.32 release.


Gentoo Security Padawan
(domhnall)
Comment 1 Andreas K. Hüttel gentoo-dev 2019-03-24 21:14:02 UTC
will be in 2.31.1 patchlevel 6
Comment 2 Andreas K. Hüttel gentoo-dev 2019-06-06 14:29:58 UTC
All affected versions are gone or masked. @security please proceed.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2019-08-03 11:23:37 UTC
This issue was resolved and addressed in
 GLSA 201908-01 at https://security.gentoo.org/glsa/201908-01
by GLSA coordinator Aaron Bauman (b-man).